catalog:
  title: ROS Pepper Image Sink Package

templates:
- github
- cmake-catkin
- base

variables:
  description: ROS Pepper Image Sink Package
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: CentralLabFacilities
  github.project: pepper_image_sink

  branches:
  - master
  - head

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - ros-${ros}-compressed-depth-image-transport
        - ros-${ros}-compressed-image-transport
        - ros-${ros}-hector-compressed-map-transport

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'

versions:
- name: master
  variables:
    ros: kinetic

- name: head
  variables:
    ros: kinetic
    branch: head
